Freeciv-3.3: packet_ruleset_nation Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_nation Struct Reference

`#include <packets_gen.h>`

## Data Fields

Nation_type_id | id
char | translation_domain [MAX_LEN_NAME]
char | adjective [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
char | noun_plural [MAX_LEN_NAME]
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
char | legend [MAX_LEN_MSG]
int | style
int | leader_count
char | leader_name [MAX_NUM_LEADERS][MAX_LEN_NAME]
bool | leader_is_male [MAX_NUM_LEADERS]
bool | is_playable
enum barbarian_type | barbarian_type
int | nsets
int | sets [MAX_NUM_NATION_SETS]
int | ngroups
int | groups [MAX_NUM_NATION_GROUPS]
Government_type_id | init_government_id
int | init_techs_count
int | init_techs [MAX_NUM_TECH_LIST]
int | init_units_count
Unit_type_id | init_units [MAX_NUM_UNIT_LIST]
int | init_buildings_count
Impr_type_id | init_buildings [MAX_NUM_BUILDING_LIST]

## Detailed Description

Definition at line 1127 of file packets_gen.h.

## Field Documentation

## ◆ adjective

char packet_ruleset_nation::adjective[MAX_LEN_NAME]

Definition at line 1130 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ barbarian_type

enum barbarian_type packet_ruleset_nation::barbarian_type

Definition at line 1141 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ graphic_alt

char packet_ruleset_nation::graphic_alt[MAX_LEN_NAME]

Definition at line 1134 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ graphic_str

char packet_ruleset_nation::graphic_str[MAX_LEN_NAME]

Definition at line 1133 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ groups

int packet_ruleset_nation::groups[MAX_NUM_NATION_GROUPS]

Definition at line 1145 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ id

Nation_type_id packet_ruleset_nation::id

Definition at line 1128 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ init_buildings

Impr_type_id packet_ruleset_nation::init_buildings[MAX_NUM_BUILDING_LIST]

Definition at line 1152 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ init_buildings_count

int packet_ruleset_nation::init_buildings_count

Definition at line 1151 of file packets_gen.h.

Referenced by send_ruleset_nations().

## ◆ init_government_id

Government_type_id packet_ruleset_nation::init_government_id

Definition at line 1146 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ init_techs

int packet_ruleset_nation::init_techs[MAX_NUM_TECH_LIST]

Definition at line 1148 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ init_techs_count

int packet_ruleset_nation::init_techs_count

Definition at line 1147 of file packets_gen.h.

Referenced by send_ruleset_nations().

## ◆ init_units

Unit_type_id packet_ruleset_nation::init_units[MAX_NUM_UNIT_LIST]

Definition at line 1150 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ init_units_count

int packet_ruleset_nation::init_units_count

Definition at line 1149 of file packets_gen.h.

Referenced by send_ruleset_nations().

## ◆ is_playable

bool packet_ruleset_nation::is_playable

Definition at line 1140 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ leader_count

int packet_ruleset_nation::leader_count

Definition at line 1137 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ leader_is_male

bool packet_ruleset_nation::leader_is_male[MAX_NUM_LEADERS]

Definition at line 1139 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ leader_name

char packet_ruleset_nation::leader_name[MAX_NUM_LEADERS][MAX_LEN_NAME]

Definition at line 1138 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ legend

char packet_ruleset_nation::legend[MAX_LEN_MSG]

Definition at line 1135 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ ngroups

int packet_ruleset_nation::ngroups

Definition at line 1144 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ noun_plural

char packet_ruleset_nation::noun_plural[MAX_LEN_NAME]

Definition at line 1132 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ nsets

int packet_ruleset_nation::nsets

Definition at line 1142 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ rule_name

char packet_ruleset_nation::rule_name[MAX_LEN_NAME]

Definition at line 1131 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ sets

int packet_ruleset_nation::sets[MAX_NUM_NATION_SETS]

Definition at line 1143 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ style

int packet_ruleset_nation::style

Definition at line 1136 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().

## ◆ translation_domain

char packet_ruleset_nation::translation_domain[MAX_LEN_NAME]

Definition at line 1129 of file packets_gen.h.

Referenced by handle_ruleset_nation(), and send_ruleset_nations().